Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network185.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
185.0.0.0
Broadcast address
185.255.255.255
First usable
185.0.0.1
Last usable
185.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex B9000000 · Integer 3103784960 to 3120562175
Reverse DNS zone
185.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111001..00000000.00000000.00000000185.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10111001..00000000.00000000.00000000185.0.0.0
Broadcast10111001..11111111.11111111.11111111185.255.255.255
Split into smaller subnets/17

185.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1185.0.0.0/17185.0.0.1 to 185.0.127.254185.0.127.25532,766
2185.0.128.0/17185.0.128.1 to 185.0.255.254185.0.255.25532,766
3185.1.0.0/17185.1.0.1 to 185.1.127.254185.1.127.25532,766
4185.1.128.0/17185.1.128.1 to 185.1.255.254185.1.255.25532,766
5185.2.0.0/17185.2.0.1 to 185.2.127.254185.2.127.25532,766
6185.2.128.0/17185.2.128.1 to 185.2.255.254185.2.255.25532,766
7185.3.0.0/17185.3.0.1 to 185.3.127.254185.3.127.25532,766
8185.3.128.0/17185.3.128.1 to 185.3.255.254185.3.255.25532,766
9185.4.0.0/17185.4.0.1 to 185.4.127.254185.4.127.25532,766
10185.4.128.0/17185.4.128.1 to 185.4.255.254185.4.255.25532,766
11185.5.0.0/17185.5.0.1 to 185.5.127.254185.5.127.25532,766
12185.5.128.0/17185.5.128.1 to 185.5.255.254185.5.255.25532,766
13185.6.0.0/17185.6.0.1 to 185.6.127.254185.6.127.25532,766
14185.6.128.0/17185.6.128.1 to 185.6.255.254185.6.255.25532,766
15185.7.0.0/17185.7.0.1 to 185.7.127.254185.7.127.25532,766
16185.7.128.0/17185.7.128.1 to 185.7.255.254185.7.255.25532,766
17185.8.0.0/17185.8.0.1 to 185.8.127.254185.8.127.25532,766
18185.8.128.0/17185.8.128.1 to 185.8.255.254185.8.255.25532,766
19185.9.0.0/17185.9.0.1 to 185.9.127.254185.9.127.25532,766
20185.9.128.0/17185.9.128.1 to 185.9.255.254185.9.255.25532,766
21185.10.0.0/17185.10.0.1 to 185.10.127.254185.10.127.25532,766
22185.10.128.0/17185.10.128.1 to 185.10.255.254185.10.255.25532,766
23185.11.0.0/17185.11.0.1 to 185.11.127.254185.11.127.25532,766
24185.11.128.0/17185.11.128.1 to 185.11.255.254185.11.255.25532,766
25185.12.0.0/17185.12.0.1 to 185.12.127.254185.12.127.25532,766
26185.12.128.0/17185.12.128.1 to 185.12.255.254185.12.255.25532,766
27185.13.0.0/17185.13.0.1 to 185.13.127.254185.13.127.25532,766
28185.13.128.0/17185.13.128.1 to 185.13.255.254185.13.255.25532,766
29185.14.0.0/17185.14.0.1 to 185.14.127.254185.14.127.25532,766
30185.14.128.0/17185.14.128.1 to 185.14.255.254185.14.255.25532,766
31185.15.0.0/17185.15.0.1 to 185.15.127.254185.15.127.25532,766
32185.15.128.0/17185.15.128.1 to 185.15.255.254185.15.255.25532,766
33185.16.0.0/17185.16.0.1 to 185.16.127.254185.16.127.25532,766
34185.16.128.0/17185.16.128.1 to 185.16.255.254185.16.255.25532,766
35185.17.0.0/17185.17.0.1 to 185.17.127.254185.17.127.25532,766
36185.17.128.0/17185.17.128.1 to 185.17.255.254185.17.255.25532,766
37185.18.0.0/17185.18.0.1 to 185.18.127.254185.18.127.25532,766
38185.18.128.0/17185.18.128.1 to 185.18.255.254185.18.255.25532,766
39185.19.0.0/17185.19.0.1 to 185.19.127.254185.19.127.25532,766
40185.19.128.0/17185.19.128.1 to 185.19.255.254185.19.255.25532,766
41185.20.0.0/17185.20.0.1 to 185.20.127.254185.20.127.25532,766
42185.20.128.0/17185.20.128.1 to 185.20.255.254185.20.255.25532,766
43185.21.0.0/17185.21.0.1 to 185.21.127.254185.21.127.25532,766
44185.21.128.0/17185.21.128.1 to 185.21.255.254185.21.255.25532,766
45185.22.0.0/17185.22.0.1 to 185.22.127.254185.22.127.25532,766
46185.22.128.0/17185.22.128.1 to 185.22.255.254185.22.255.25532,766
47185.23.0.0/17185.23.0.1 to 185.23.127.254185.23.127.25532,766
48185.23.128.0/17185.23.128.1 to 185.23.255.254185.23.255.25532,766
49185.24.0.0/17185.24.0.1 to 185.24.127.254185.24.127.25532,766
50185.24.128.0/17185.24.128.1 to 185.24.255.254185.24.255.25532,766
51185.25.0.0/17185.25.0.1 to 185.25.127.254185.25.127.25532,766
52185.25.128.0/17185.25.128.1 to 185.25.255.254185.25.255.25532,766
53185.26.0.0/17185.26.0.1 to 185.26.127.254185.26.127.25532,766
54185.26.128.0/17185.26.128.1 to 185.26.255.254185.26.255.25532,766
55185.27.0.0/17185.27.0.1 to 185.27.127.254185.27.127.25532,766
56185.27.128.0/17185.27.128.1 to 185.27.255.254185.27.255.25532,766
57185.28.0.0/17185.28.0.1 to 185.28.127.254185.28.127.25532,766
58185.28.128.0/17185.28.128.1 to 185.28.255.254185.28.255.25532,766
59185.29.0.0/17185.29.0.1 to 185.29.127.254185.29.127.25532,766
60185.29.128.0/17185.29.128.1 to 185.29.255.254185.29.255.25532,766
61185.30.0.0/17185.30.0.1 to 185.30.127.254185.30.127.25532,766
62185.30.128.0/17185.30.128.1 to 185.30.255.254185.30.255.25532,766
63185.31.0.0/17185.31.0.1 to 185.31.127.254185.31.127.25532,766
64185.31.128.0/17185.31.128.1 to 185.31.255.254185.31.255.25532,766
65185.32.0.0/17185.32.0.1 to 185.32.127.254185.32.127.25532,766
66185.32.128.0/17185.32.128.1 to 185.32.255.254185.32.255.25532,766
67185.33.0.0/17185.33.0.1 to 185.33.127.254185.33.127.25532,766
68185.33.128.0/17185.33.128.1 to 185.33.255.254185.33.255.25532,766
69185.34.0.0/17185.34.0.1 to 185.34.127.254185.34.127.25532,766
70185.34.128.0/17185.34.128.1 to 185.34.255.254185.34.255.25532,766
71185.35.0.0/17185.35.0.1 to 185.35.127.254185.35.127.25532,766
72185.35.128.0/17185.35.128.1 to 185.35.255.254185.35.255.25532,766
73185.36.0.0/17185.36.0.1 to 185.36.127.254185.36.127.25532,766
74185.36.128.0/17185.36.128.1 to 185.36.255.254185.36.255.25532,766
75185.37.0.0/17185.37.0.1 to 185.37.127.254185.37.127.25532,766
76185.37.128.0/17185.37.128.1 to 185.37.255.254185.37.255.25532,766
77185.38.0.0/17185.38.0.1 to 185.38.127.254185.38.127.25532,766
78185.38.128.0/17185.38.128.1 to 185.38.255.254185.38.255.25532,766
79185.39.0.0/17185.39.0.1 to 185.39.127.254185.39.127.25532,766
80185.39.128.0/17185.39.128.1 to 185.39.255.254185.39.255.25532,766
81185.40.0.0/17185.40.0.1 to 185.40.127.254185.40.127.25532,766
82185.40.128.0/17185.40.128.1 to 185.40.255.254185.40.255.25532,766
83185.41.0.0/17185.41.0.1 to 185.41.127.254185.41.127.25532,766
84185.41.128.0/17185.41.128.1 to 185.41.255.254185.41.255.25532,766
85185.42.0.0/17185.42.0.1 to 185.42.127.254185.42.127.25532,766
86185.42.128.0/17185.42.128.1 to 185.42.255.254185.42.255.25532,766
87185.43.0.0/17185.43.0.1 to 185.43.127.254185.43.127.25532,766
88185.43.128.0/17185.43.128.1 to 185.43.255.254185.43.255.25532,766
89185.44.0.0/17185.44.0.1 to 185.44.127.254185.44.127.25532,766
90185.44.128.0/17185.44.128.1 to 185.44.255.254185.44.255.25532,766
91185.45.0.0/17185.45.0.1 to 185.45.127.254185.45.127.25532,766
92185.45.128.0/17185.45.128.1 to 185.45.255.254185.45.255.25532,766
93185.46.0.0/17185.46.0.1 to 185.46.127.254185.46.127.25532,766
94185.46.128.0/17185.46.128.1 to 185.46.255.254185.46.255.25532,766
95185.47.0.0/17185.47.0.1 to 185.47.127.254185.47.127.25532,766
96185.47.128.0/17185.47.128.1 to 185.47.255.254185.47.255.25532,766
97185.48.0.0/17185.48.0.1 to 185.48.127.254185.48.127.25532,766
98185.48.128.0/17185.48.128.1 to 185.48.255.254185.48.255.25532,766
99185.49.0.0/17185.49.0.1 to 185.49.127.254185.49.127.25532,766
100185.49.128.0/17185.49.128.1 to 185.49.255.254185.49.255.25532,766
101185.50.0.0/17185.50.0.1 to 185.50.127.254185.50.127.25532,766
102185.50.128.0/17185.50.128.1 to 185.50.255.254185.50.255.25532,766
103185.51.0.0/17185.51.0.1 to 185.51.127.254185.51.127.25532,766
104185.51.128.0/17185.51.128.1 to 185.51.255.254185.51.255.25532,766
105185.52.0.0/17185.52.0.1 to 185.52.127.254185.52.127.25532,766
106185.52.128.0/17185.52.128.1 to 185.52.255.254185.52.255.25532,766
107185.53.0.0/17185.53.0.1 to 185.53.127.254185.53.127.25532,766
108185.53.128.0/17185.53.128.1 to 185.53.255.254185.53.255.25532,766
109185.54.0.0/17185.54.0.1 to 185.54.127.254185.54.127.25532,766
110185.54.128.0/17185.54.128.1 to 185.54.255.254185.54.255.25532,766
111185.55.0.0/17185.55.0.1 to 185.55.127.254185.55.127.25532,766
112185.55.128.0/17185.55.128.1 to 185.55.255.254185.55.255.25532,766
113185.56.0.0/17185.56.0.1 to 185.56.127.254185.56.127.25532,766
114185.56.128.0/17185.56.128.1 to 185.56.255.254185.56.255.25532,766
115185.57.0.0/17185.57.0.1 to 185.57.127.254185.57.127.25532,766
116185.57.128.0/17185.57.128.1 to 185.57.255.254185.57.255.25532,766
117185.58.0.0/17185.58.0.1 to 185.58.127.254185.58.127.25532,766
118185.58.128.0/17185.58.128.1 to 185.58.255.254185.58.255.25532,766
119185.59.0.0/17185.59.0.1 to 185.59.127.254185.59.127.25532,766
120185.59.128.0/17185.59.128.1 to 185.59.255.254185.59.255.25532,766
121185.60.0.0/17185.60.0.1 to 185.60.127.254185.60.127.25532,766
122185.60.128.0/17185.60.128.1 to 185.60.255.254185.60.255.25532,766
123185.61.0.0/17185.61.0.1 to 185.61.127.254185.61.127.25532,766
124185.61.128.0/17185.61.128.1 to 185.61.255.254185.61.255.25532,766
125185.62.0.0/17185.62.0.1 to 185.62.127.254185.62.127.25532,766
126185.62.128.0/17185.62.128.1 to 185.62.255.254185.62.255.25532,766
127185.63.0.0/17185.63.0.1 to 185.63.127.254185.63.127.25532,766
128185.63.128.0/17185.63.128.1 to 185.63.255.254185.63.255.25532,766
129185.64.0.0/17185.64.0.1 to 185.64.127.254185.64.127.25532,766
130185.64.128.0/17185.64.128.1 to 185.64.255.254185.64.255.25532,766
131185.65.0.0/17185.65.0.1 to 185.65.127.254185.65.127.25532,766
132185.65.128.0/17185.65.128.1 to 185.65.255.254185.65.255.25532,766
133185.66.0.0/17185.66.0.1 to 185.66.127.254185.66.127.25532,766
134185.66.128.0/17185.66.128.1 to 185.66.255.254185.66.255.25532,766
135185.67.0.0/17185.67.0.1 to 185.67.127.254185.67.127.25532,766
136185.67.128.0/17185.67.128.1 to 185.67.255.254185.67.255.25532,766
137185.68.0.0/17185.68.0.1 to 185.68.127.254185.68.127.25532,766
138185.68.128.0/17185.68.128.1 to 185.68.255.254185.68.255.25532,766
139185.69.0.0/17185.69.0.1 to 185.69.127.254185.69.127.25532,766
140185.69.128.0/17185.69.128.1 to 185.69.255.254185.69.255.25532,766
141185.70.0.0/17185.70.0.1 to 185.70.127.254185.70.127.25532,766
142185.70.128.0/17185.70.128.1 to 185.70.255.254185.70.255.25532,766
143185.71.0.0/17185.71.0.1 to 185.71.127.254185.71.127.25532,766
144185.71.128.0/17185.71.128.1 to 185.71.255.254185.71.255.25532,766
145185.72.0.0/17185.72.0.1 to 185.72.127.254185.72.127.25532,766
146185.72.128.0/17185.72.128.1 to 185.72.255.254185.72.255.25532,766
147185.73.0.0/17185.73.0.1 to 185.73.127.254185.73.127.25532,766
148185.73.128.0/17185.73.128.1 to 185.73.255.254185.73.255.25532,766
149185.74.0.0/17185.74.0.1 to 185.74.127.254185.74.127.25532,766
150185.74.128.0/17185.74.128.1 to 185.74.255.254185.74.255.25532,766
151185.75.0.0/17185.75.0.1 to 185.75.127.254185.75.127.25532,766
152185.75.128.0/17185.75.128.1 to 185.75.255.254185.75.255.25532,766
153185.76.0.0/17185.76.0.1 to 185.76.127.254185.76.127.25532,766
154185.76.128.0/17185.76.128.1 to 185.76.255.254185.76.255.25532,766
155185.77.0.0/17185.77.0.1 to 185.77.127.254185.77.127.25532,766
156185.77.128.0/17185.77.128.1 to 185.77.255.254185.77.255.25532,766
157185.78.0.0/17185.78.0.1 to 185.78.127.254185.78.127.25532,766
158185.78.128.0/17185.78.128.1 to 185.78.255.254185.78.255.25532,766
159185.79.0.0/17185.79.0.1 to 185.79.127.254185.79.127.25532,766
160185.79.128.0/17185.79.128.1 to 185.79.255.254185.79.255.25532,766
161185.80.0.0/17185.80.0.1 to 185.80.127.254185.80.127.25532,766
162185.80.128.0/17185.80.128.1 to 185.80.255.254185.80.255.25532,766
163185.81.0.0/17185.81.0.1 to 185.81.127.254185.81.127.25532,766
164185.81.128.0/17185.81.128.1 to 185.81.255.254185.81.255.25532,766
165185.82.0.0/17185.82.0.1 to 185.82.127.254185.82.127.25532,766
166185.82.128.0/17185.82.128.1 to 185.82.255.254185.82.255.25532,766
167185.83.0.0/17185.83.0.1 to 185.83.127.254185.83.127.25532,766
168185.83.128.0/17185.83.128.1 to 185.83.255.254185.83.255.25532,766
169185.84.0.0/17185.84.0.1 to 185.84.127.254185.84.127.25532,766
170185.84.128.0/17185.84.128.1 to 185.84.255.254185.84.255.25532,766
171185.85.0.0/17185.85.0.1 to 185.85.127.254185.85.127.25532,766
172185.85.128.0/17185.85.128.1 to 185.85.255.254185.85.255.25532,766
173185.86.0.0/17185.86.0.1 to 185.86.127.254185.86.127.25532,766
174185.86.128.0/17185.86.128.1 to 185.86.255.254185.86.255.25532,766
175185.87.0.0/17185.87.0.1 to 185.87.127.254185.87.127.25532,766
176185.87.128.0/17185.87.128.1 to 185.87.255.254185.87.255.25532,766
177185.88.0.0/17185.88.0.1 to 185.88.127.254185.88.127.25532,766
178185.88.128.0/17185.88.128.1 to 185.88.255.254185.88.255.25532,766
179185.89.0.0/17185.89.0.1 to 185.89.127.254185.89.127.25532,766
180185.89.128.0/17185.89.128.1 to 185.89.255.254185.89.255.25532,766
181185.90.0.0/17185.90.0.1 to 185.90.127.254185.90.127.25532,766
182185.90.128.0/17185.90.128.1 to 185.90.255.254185.90.255.25532,766
183185.91.0.0/17185.91.0.1 to 185.91.127.254185.91.127.25532,766
184185.91.128.0/17185.91.128.1 to 185.91.255.254185.91.255.25532,766
185185.92.0.0/17185.92.0.1 to 185.92.127.254185.92.127.25532,766
186185.92.128.0/17185.92.128.1 to 185.92.255.254185.92.255.25532,766
187185.93.0.0/17185.93.0.1 to 185.93.127.254185.93.127.25532,766
188185.93.128.0/17185.93.128.1 to 185.93.255.254185.93.255.25532,766
189185.94.0.0/17185.94.0.1 to 185.94.127.254185.94.127.25532,766
190185.94.128.0/17185.94.128.1 to 185.94.255.254185.94.255.25532,766
191185.95.0.0/17185.95.0.1 to 185.95.127.254185.95.127.25532,766
192185.95.128.0/17185.95.128.1 to 185.95.255.254185.95.255.25532,766
193185.96.0.0/17185.96.0.1 to 185.96.127.254185.96.127.25532,766
194185.96.128.0/17185.96.128.1 to 185.96.255.254185.96.255.25532,766
195185.97.0.0/17185.97.0.1 to 185.97.127.254185.97.127.25532,766
196185.97.128.0/17185.97.128.1 to 185.97.255.254185.97.255.25532,766
197185.98.0.0/17185.98.0.1 to 185.98.127.254185.98.127.25532,766
198185.98.128.0/17185.98.128.1 to 185.98.255.254185.98.255.25532,766
199185.99.0.0/17185.99.0.1 to 185.99.127.254185.99.127.25532,766
200185.99.128.0/17185.99.128.1 to 185.99.255.254185.99.255.25532,766
201185.100.0.0/17185.100.0.1 to 185.100.127.254185.100.127.25532,766
202185.100.128.0/17185.100.128.1 to 185.100.255.254185.100.255.25532,766
203185.101.0.0/17185.101.0.1 to 185.101.127.254185.101.127.25532,766
204185.101.128.0/17185.101.128.1 to 185.101.255.254185.101.255.25532,766
205185.102.0.0/17185.102.0.1 to 185.102.127.254185.102.127.25532,766
206185.102.128.0/17185.102.128.1 to 185.102.255.254185.102.255.25532,766
207185.103.0.0/17185.103.0.1 to 185.103.127.254185.103.127.25532,766
208185.103.128.0/17185.103.128.1 to 185.103.255.254185.103.255.25532,766
209185.104.0.0/17185.104.0.1 to 185.104.127.254185.104.127.25532,766
210185.104.128.0/17185.104.128.1 to 185.104.255.254185.104.255.25532,766
211185.105.0.0/17185.105.0.1 to 185.105.127.254185.105.127.25532,766
212185.105.128.0/17185.105.128.1 to 185.105.255.254185.105.255.25532,766
213185.106.0.0/17185.106.0.1 to 185.106.127.254185.106.127.25532,766
214185.106.128.0/17185.106.128.1 to 185.106.255.254185.106.255.25532,766
215185.107.0.0/17185.107.0.1 to 185.107.127.254185.107.127.25532,766
216185.107.128.0/17185.107.128.1 to 185.107.255.254185.107.255.25532,766
217185.108.0.0/17185.108.0.1 to 185.108.127.254185.108.127.25532,766
218185.108.128.0/17185.108.128.1 to 185.108.255.254185.108.255.25532,766
219185.109.0.0/17185.109.0.1 to 185.109.127.254185.109.127.25532,766
220185.109.128.0/17185.109.128.1 to 185.109.255.254185.109.255.25532,766
221185.110.0.0/17185.110.0.1 to 185.110.127.254185.110.127.25532,766
222185.110.128.0/17185.110.128.1 to 185.110.255.254185.110.255.25532,766
223185.111.0.0/17185.111.0.1 to 185.111.127.254185.111.127.25532,766
224185.111.128.0/17185.111.128.1 to 185.111.255.254185.111.255.25532,766
225185.112.0.0/17185.112.0.1 to 185.112.127.254185.112.127.25532,766
226185.112.128.0/17185.112.128.1 to 185.112.255.254185.112.255.25532,766
227185.113.0.0/17185.113.0.1 to 185.113.127.254185.113.127.25532,766
228185.113.128.0/17185.113.128.1 to 185.113.255.254185.113.255.25532,766
229185.114.0.0/17185.114.0.1 to 185.114.127.254185.114.127.25532,766
230185.114.128.0/17185.114.128.1 to 185.114.255.254185.114.255.25532,766
231185.115.0.0/17185.115.0.1 to 185.115.127.254185.115.127.25532,766
232185.115.128.0/17185.115.128.1 to 185.115.255.254185.115.255.25532,766
233185.116.0.0/17185.116.0.1 to 185.116.127.254185.116.127.25532,766
234185.116.128.0/17185.116.128.1 to 185.116.255.254185.116.255.25532,766
235185.117.0.0/17185.117.0.1 to 185.117.127.254185.117.127.25532,766
236185.117.128.0/17185.117.128.1 to 185.117.255.254185.117.255.25532,766
237185.118.0.0/17185.118.0.1 to 185.118.127.254185.118.127.25532,766
238185.118.128.0/17185.118.128.1 to 185.118.255.254185.118.255.25532,766
239185.119.0.0/17185.119.0.1 to 185.119.127.254185.119.127.25532,766
240185.119.128.0/17185.119.128.1 to 185.119.255.254185.119.255.25532,766
241185.120.0.0/17185.120.0.1 to 185.120.127.254185.120.127.25532,766
242185.120.128.0/17185.120.128.1 to 185.120.255.254185.120.255.25532,766
243185.121.0.0/17185.121.0.1 to 185.121.127.254185.121.127.25532,766
244185.121.128.0/17185.121.128.1 to 185.121.255.254185.121.255.25532,766
245185.122.0.0/17185.122.0.1 to 185.122.127.254185.122.127.25532,766
246185.122.128.0/17185.122.128.1 to 185.122.255.254185.122.255.25532,766
247185.123.0.0/17185.123.0.1 to 185.123.127.254185.123.127.25532,766
248185.123.128.0/17185.123.128.1 to 185.123.255.254185.123.255.25532,766
249185.124.0.0/17185.124.0.1 to 185.124.127.254185.124.127.25532,766
250185.124.128.0/17185.124.128.1 to 185.124.255.254185.124.255.25532,766
251185.125.0.0/17185.125.0.1 to 185.125.127.254185.125.127.25532,766
252185.125.128.0/17185.125.128.1 to 185.125.255.254185.125.255.25532,766
253185.126.0.0/17185.126.0.1 to 185.126.127.254185.126.127.25532,766
254185.126.128.0/17185.126.128.1 to 185.126.255.254185.126.255.25532,766
255185.127.0.0/17185.127.0.1 to 185.127.127.254185.127.127.25532,766
256185.127.128.0/17185.127.128.1 to 185.127.255.254185.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses